/*
// $Id: //open/dev/farrago/src/org/eigenbase/sql/SqlUnnestOperator.java#9 $
// Package org.eigenbase is a class library of data management components.
// Copyright (C) 2005-2009 The Eigenbase Project
// Copyright (C) 2005-2009 SQLstream, Inc.
// Copyright (C) 2005-2009 LucidEra, Inc.
//
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 of the License, or (at your option)
// any later version approved by The Eigenbase Project.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package org.eigenbase.sql;

import org.eigenbase.reltype.*;
import org.eigenbase.sql.type.*;


/**
 * The <code>UNNEST<code>operator.
 *
 * @author Wael Chatila
 * @version $Id: //open/dev/farrago/src/org/eigenbase/sql/SqlUnnestOperator.java#9 $
 */
public class SqlUnnestOperator
    extends SqlFunctionalOperator
{
    //~ Constructors -----------------------------------------------------------

    public SqlUnnestOperator()
    {
        super(
            "UNNEST",
            SqlKind.Unnest,
            200,
            true,
            null,
            null,
            SqlTypeStrategies.otcMultisetOrRecordTypeMultiset);
    }

    //~ Methods ----------------------------------------------------------------

    public RelDataType inferReturnType(
        SqlOperatorBinding opBinding)
    {
        RelDataType type = opBinding.getOperandType(0);
        if (type.isStruct()) {
            type = type.getFields()[0].getType();
        }
        MultisetSqlType t = (MultisetSqlType) type;
        return t.getComponentType();
    }

    public boolean argumentMustBeScalar(int ordinal)
    {
        return false;
    }
}

// End SqlUnnestOperator.java
